Bug 1400364 - Graph export tree view is broken
Summary: Graph export tree view is broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: cacti
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL: http://bugs.cacti.net/view.php?id=2799
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-01 01:24 UTC by Steven Haigh
Modified: 2017-03-14 13:48 UTC (History)
2 users (show)

Fixed In Version: cacti-1.0.4-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-14 13:48:06 UTC


Attachments (Terms of Use)

Description Steven Haigh 2016-12-01 01:24:05 UTC
When using a local export of graphs to a path, the tree view seems to break. I believe this is a javascript problem.

For example, if I visit the exported path via apache, I end up at:
    /cacti-graphs/

I navigate the tree to a host, then click the link on the tree. I end up at:
    /cacti-graphs/undefined

If I hit back, then right click the same link, Copy Location, then paste that link into the browser URL bar, the expected graph loads and I end up at:
    /cacti-graphs/<$hostname>_<$graph_number>.html

As such, it makes me think something is wrong with the javascript - but have no idea how to debug this part.

NOTE: This does not happen with all hosts in the tree - and I have been unable to find a common thread between hosts that could cause this.

$ rpm -qa | grep cacti
cacti-0.8.8h-1.el7.noarch

Happy to provide further feedback if required.

Comment 1 Steven Haigh 2016-12-05 03:41:19 UTC
Added link to bug report on cacti's bug tracker.

Comment 2 Fedora Update System 2017-02-12 21:27:51 UTC
cacti-1.0.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8b0737b093

Comment 3 Fedora Update System 2017-02-13 15:20:10 UTC
cacti-1.0.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-d5fe44714a

Comment 4 Fedora Update System 2017-02-13 23:19:36 UTC
cacti-1.0.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-d5fe44714a

Comment 5 Fedora Update System 2017-02-16 16:00:15 UTC
cacti-1.0.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-d5fe44714a

Comment 6 Fedora Update System 2017-02-17 21:18:29 UTC
cacti-1.0.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-d5fe44714a

Comment 7 Fedora Update System 2017-02-18 18:54:43 UTC
cacti-1.0.3-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-d5fe44714a

Comment 8 Fedora Update System 2017-02-19 23:19:24 UTC
cacti-1.0.3-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-d5fe44714a

Comment 9 Fedora Update System 2017-02-21 12:09:48 UTC
cacti-1.0.3-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-d5fe44714a

Comment 10 Fedora Update System 2017-02-22 18:19:23 UTC
cacti-1.0.3-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-d5fe44714a

Comment 11 Fedora Update System 2017-02-27 14:16:38 UTC
cacti-1.0.4-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-d5fe44714a

Comment 12 Fedora Update System 2017-02-27 23:18:43 UTC
cacti-1.0.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-d5fe44714a

Comment 13 Fedora Update System 2017-03-14 13:48:06 UTC
cacti-1.0.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.